﻿@model CoursesApp_Sec002.Models.ViewModels.EnrollmentsCreateViewModel

<h1 class="bd-title text-center">Enrolar estudiante a curso</h1>

<div class="row align-content-center">
    <div class="offset-2 col-8 mt-2">
        <div class="card" >
            <form asp-action="Create" method="post">
                <div class="row m-5">
                    <input type="hidden" value="@Model.Student.Id" name="StudentId" />
                    <div class="col-6">
                        <label>Nombre Estudiante</label>
                        <input type="text" class="form-control" value="@Model.Student.FullName()" disabled />
                    </div>
                    <div class="col-6">
                        @Html.LabelFor(m => m.Enrollment.CourseId)
                        @Html.DropDownListFor(m => m.Enrollment.CourseId, 
                            new SelectList(Model.Courses), 
                            new { Name="CourseId", @class = "form-control" }) 

                        <!-- <select name="CourseId" required>
                            @foreach(var item in Model.Courses){
                                <option> @item.Title </option>
                            }
                        </select>-->
                    </div>
                </div>
                <div class="row m-5">
                    <div class="col-12">
                       <button type="submit" class="btn btn-primary float-right">Guardar</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

</div>